Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | List of all members
MadLevelManager.MadAnimRotate Class Reference
Inheritance diagram for MadLevelManager.MadAnimRotate:

## Public Types
enum | ValueType { Current, Origin, Value, CurrentAdd, OriginAdd }
Public Types inherited from MadLevelManager.MadAnim
enum | WrapMode { Once, Loop, PingPong, ClampForever }

## Public Member Functions
override void | UpdateOrigin ()
Public Member Functions inherited from MadLevelManager.MadAnim
void | Play ()
void | PlayNow ()
void | Stop ()
void | Reset ()

## Public Attributes
ValueType | rotateFrom = ValueType.Current
Vector3 | rotateFromValue
ValueType | rotateTo = ValueType.Value
Vector3 | rotateToValue
Public Attributes inherited from MadLevelManager.MadAnim
string | animationName = "New Animation"
MadiTween.EaseType | easing = MadiTween.EaseType.easeOutCubic
float | duration = 1
float | delay = 0
float | offset = 0
WrapMode | wrapMode = WrapMode.Once
bool | queue = false
bool | playOnAwake = false
bool | destroyObjectOnFinish
bool | sendMessageOnFinish
GameObject | messageReceiver
string | messageName
bool | playAnimationOnFinish
string | playAnimationOnFinishName
bool | playAnimationOnFinishFromTheBeginning

## Protected Member Functions
override void | Start ()
override void | StartAnim ()
override void | Anim (float progress)

## Additional Inherited Members
Static Public Member Functions inherited from MadLevelManager.MadAnim
static int | PlayAnimation (GameObject gameObject, string animationName, bool fromTheBeginning=false)
static int | PlayAnimationNow (GameObject gameObject, string animationName, bool fromTheBeginning=false)
static int | StopAnimation (GameObject gameObject, string animationName)
static List< MadAnim > | FindAnimations (GameObject gameObject, string name)
static List< MadAnim > | AllAnimations (GameObject gameObject)
static MadAnim | PlayingAnimation (GameObject gameObject, Type type)
static T | PlayingAnimation< T > (GameObject gameObject)
Properties inherited from MadLevelManager.MadAnim
bool | isPlaying`[get]`
bool | isDelaying`[get]`

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Base/MadAnimRotate.cs